import styled from "@emotion/styled";
import { css } from "@emotion/react";
export var base = /*#__PURE__*/ css("base");
/**
 * Компонент применяется, если требуется компенсировать отступы контейнера в сетке.
 * При обертывании вокруг ``Carousel``, добавляет карусели и ее прокрутке дополнительные отступы.
 * Стилизованный компонент, обладающий всеми свойствами ``div``.
 */ export var CarouselGridWrapper = /*#__PURE__*/ styled("div", {
    target: "ejujd4m0",
    label: "CarouselGridWrapper"
})("overflow:hidden;margin-left:calc(var(--plasma-grid-margin) * -1);margin-right:calc(var(--plasma-grid-margin) * -1);");
export var CarouselWrapper = /*#__PURE__*/ styled("div", {
    target: "ejujd4m1",
    label: "CarouselWrapper"
})("position:relative;margin:0;padding:0;list-style:none;-ms-overflow-style:none;scrollbar-width:none;::-webkit-scrollbar{display:none;}overflow-x:auto;overflow-y:hidden;scroll-behavior:smooth;scroll-snap-type:", function(param) {
    var scrollSnapType = param.scrollSnapType;
    return "x ".concat(scrollSnapType);
}, ";", CarouselGridWrapper, " &{scroll-padding:0 var(--plasma-grid-margin);padding-left:var(--plasma-grid-margin);}user-select:none;-webkit-tap-highlight-color:rgba(0,0,0,0);");
export var CarouselTrack = /*#__PURE__*/ styled("div", {
    target: "ejujd4m2",
    label: "CarouselTrack"
})("display:inline-flex;flex-direction:row;padding-left:", function(param) {
    var paddingStart = param.paddingStart;
    return paddingStart || 0;
}, ";padding-right:", function(param) {
    var paddingEnd = param.paddingEnd;
    return paddingEnd || 0;
}, ";", CarouselGridWrapper, " &{padding-right:", function(param) {
    var paddingEnd = param.paddingEnd;
    return paddingEnd || 'var(--plasma-grid-margin)';
}, ";}");
